Skip to main content
DELETE
/
v3
/
vehicles
/
{vehicle_id}
Delete a vehicle
curl --request DELETE \
  --url https://api.ctrl-hub.com/v3/vehicles/{vehicle_id} \
  --header 'X-Session-Token: <api-key>'
import requests

url = "https://api.ctrl-hub.com/v3/vehicles/{vehicle_id}"

headers = {"X-Session-Token": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-Session-Token': '<api-key>'}};

fetch('https://api.ctrl-hub.com/v3/vehicles/{vehicle_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
  "status": "400",
  "title": "A validation error was encountered",
  "source": {
    "parameter": "include"
  },
  "meta": {
    "resource": "wrong_value"
  }
}
{
  "id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
  "status": "401",
  "title": "You are not authorised to access this resource",
  "detail": "In order to access this resource, you need the 'admin' role.",
  "code": "AUTH.001"
}
{
  "id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
  "status": "404",
  "title": "Resource not found",
  "detail": "The requested resource could not be found or does not exist.",
  "code": "NOT_FOUND.001"
}
{
  "id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
  "status": "500",
  "title": "Internal Server Error",
  "detail": "An unexpected error occurred on the server."
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

vehicle_id
string<uuid>
required

The unique identifier for the vehicle.

Response

Vehicle deleted successfully.